$!-----------------------------------------------------------------'f$verify(0)
$! FIND_SSL.COM
$!
$! WASD VMS Hypertext Services, Copyright (C) 1996-2003 Mark G.Daniel.
$! This package (all associated programs), comes with ABSOLUTELY NO WARRANTY.
$! This is free software, and you are welcome to redistribute it
$! under the conditions of the GNU GENERAL PUBLIC LICENSE, version 2.
$!
$! Locates the latest version of WASD OpenSSL and the OPENSSL executable.
$!
$! Creates the global symbols:
$!
$!    WASD_OPENSSL_DIR ... the top-level directory
$!    WASD_OPENSSL_VER ... the version number (e.g. "0.9.7")
$!    OPENSSL ............ the OpenSSL application foreign verb
$!
$! 08-JAN-2003  MGD  initial (with OpenSSL 0.9.7)
$!-----------------------------------------------------------------------------
$!
$ ss$_abort = 44
$ on controly then exit ss$_abort
$ archName = "AXP"
$ if f$getsyi("cpu") .lt. 128 then archName = "VAX"
$!
$ wasdSSLdir = ""
$!(search for latest version in default WASD location)
$ wasdSSLdirLoop:
$    tmpDir = f$search("HT_ROOT:[SRC]OPENSSL-*_*_*.DIR")
$    if tmpDir .eqs. "" then goto wasdSSLdirLoopEnd
$    sslDirPos = f$locate("]OPENSSL",tmpDir)
$    wasdSSLdir = f$extract(0,sslDirPos,tmpDir) + "." + -
                  f$extract(sslDirPos+1,999,tmpDir) - ".DIR;1" + "]"
$    goto wasdSSLdirLoop
$ wasdSSLdirLoopEnd:
$!
$ if wasdSSLdir .eqs. ""
$ then
$    type sys$input

                 *******************************************
                 *  COULD NOT LOCATE WASD OPENSSL PACKAGE  *
                 *******************************************

$    exit ss$_abort
$ endif
$!
$ wasdSSLdir = f$edit(wasdSSLdir,"upcase")
$ pos = f$locate("OPENSSL-",wasdSSLdir)
$ ver = f$extract(pos+8,999,wasdSSLdir)
$ ver = f$element(0,"]",ver)
$ ver = f$element(0,"_",ver) + "." + f$element(1,"_",ver) + "." +-
        f$element(2,"_",ver)
$ WASD_OPENSSL_VER == ver
$ WASD_OPENSSL_DIR == wasdSSLdir
$ open_SSL = wasdSSLdir - "]" + "." + archName + ".EXE.APPS]OPENSSL.EXE"
$!
$ if f$search(open_SSL) .eqs. ""
$ then
$    type sys$input

                 ******************************************
                 *  COULD NOT LOCATE OPENSSL APPLICATION  *
                 ******************************************

$    exit ss$_abort
$ endif
$ OPENSSL == "$" + open_SSL
$!
$!-----------------------------------------------------------------------------
